Package org.opensaml.saml.common.messaging.context.navigate

# Class AttributeConsumerServiceLookupFunction

java.lang.Object
org.opensaml.saml.common.messaging.context.navigate.AttributeConsumerServiceLookupFunction

All Implemented Interfaces:
  `Function<AttributeConsumingServiceContext,AttributeConsumingService>`, `ContextDataLookupFunction<AttributeConsumingServiceContext,AttributeConsumingService>`

public class AttributeConsumerServiceLookupFunction extends Object implements ContextDataLookupFunction<AttributeConsumingServiceContext,AttributeConsumingService>
`ContextDataLookupFunction` to return the `AttributeConsumingService` from the `AttributeConsumingServiceContext`.

## Constructor Summary

Constructors
Constructor
Description
`AttributeConsumerServiceLookupFunction()`

## Method Summary

Modifier and Type
Method
Description
`AttributeConsumingService`
`apply(AttributeConsumingServiceContext input)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Constructor Details

### AttributeConsumerServiceLookupFunction

public AttributeConsumerServiceLookupFunction()

## Method Details

### apply

@Nullable public AttributeConsumingService apply(@Nullable AttributeConsumingServiceContext input)

Specified by:
  `apply` in interface `Function<AttributeConsumingServiceContext,AttributeConsumingService>`